/*
This file is auto-generated by OWL2Go (https://git.rwth-aachen.de/acs/public/ontology/owl/owl2go).

Copyright 2020 Institute for Automation of Complex Power Systems,
E.ON Energy Research Center, RWTH Aachen University

This project is licensed under either of
- Apache License, Version 2.0
- MIT License
at your option.

Apache License, Version 2.0:

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

MIT License:

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

package ontology

import (
	"git.rwth-aachen.de/acs/public/ontology/owl/owl2go/pkg/owl"
	"git.rwth-aachen.de/acs/public/ontology/owl/owl2go/pkg/rdf"
	"fmt"
)

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefConsistsOfBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefConsistsOf {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#consistsOf", node, res.sarefConsistsOf[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefConsistsOfBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) String() (ret string) {
	ret += "\tsarefConsistsOf: ["
	for i := range res.sarefConsistsOf {
		ret += res.sarefConsistsOf[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefControlsPropertyBaseSarefPropertyTypeSarefPropertyMultipleSarefProperty) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefControlsProperty {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#controlsProperty", node, res.sarefControlsProperty[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefControlsPropertyBaseSarefPropertyTypeSarefPropertyMultipleSarefProperty) String() (ret string) {
	ret += "\tsarefControlsProperty: ["
	for i := range res.sarefControlsProperty {
		ret += res.sarefControlsProperty[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasProfileBaseSarefProfileTypeSarefProfileMultipleSarefProfile) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasProfile {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasProfile", node, res.sarefHasProfile[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasProfileBaseSarefProfileTypeSarefProfileMultipleSarefProfile) String() (ret string) {
	ret += "\tsarefHasProfile: ["
	for i := range res.sarefHasProfile {
		ret += res.sarefHasProfile[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasStateBaseSarefStateTypeSarefStateMultipleSarefState) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasState {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasState", node, res.sarefHasState[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasStateBaseSarefStateTypeSarefStateMultipleSarefState) String() (ret string) {
	ret += "\tsarefHasState: ["
	for i := range res.sarefHasState {
		ret += res.sarefHasState[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasTypicalConsumptionBaseSarefPropertyTypeSarefPropertyMultipleSarefEnergySarefPower) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasTypicalConsumption {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasTypicalConsumption", node, res.sarefHasTypicalConsumption[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasTypicalConsumptionBaseSarefPropertyTypeSarefPropertyMultipleSarefEnergySarefPower) String() (ret string) {
	ret += "\tsarefHasTypicalConsumption: ["
	for i := range res.sarefHasTypicalConsumption {
		ret += res.sarefHasTypicalConsumption[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefIsUsedForBaseSarefCommodityTypeSarefCommodityMultipleSarefCommodity) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefIsUsedFor {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#isUsedFor", node, res.sarefIsUsedFor[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefIsUsedForBaseSarefCommodityTypeSarefCommodityMultipleSarefCommodity) String() (ret string) {
	ret += "\tsarefIsUsedFor: ["
	for i := range res.sarefIsUsedFor {
		ret += res.sarefIsUsedFor[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefMakesMeasurementBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefMakesMeasurement {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#makesMeasurement", node, res.sarefMakesMeasurement[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefMakesMeasurementBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) String() (ret string) {
	ret += "\tsarefMakesMeasurement: ["
	for i := range res.sarefMakesMeasurement {
		ret += res.sarefMakesMeasurement[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefPropertyMultipleSarefProperty) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefMeasuresProperty {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#measuresProperty", node, res.sarefMeasuresProperty[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefPropertyMultipleSarefProperty) String() (ret string) {
	ret += "\tsarefMeasuresProperty: ["
	for i := range res.sarefMeasuresProperty {
		ret += res.sarefMeasuresProperty[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefOffersBaseSarefServiceTypeSarefServiceMultipleSarefService) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefOffers {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#offers", node, res.sarefOffers[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefOffersBaseSarefServiceTypeSarefServiceMultipleSarefService) String() (ret string) {
	ret += "\tsarefOffers: ["
	for i := range res.sarefOffers {
		ret += res.sarefOffers[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefAccomplishesBaseSarefTaskTypeSarefTaskMultipleSarefTask) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefAccomplishes {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#accomplishes", node, res.sarefAccomplishes[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefAccomplishesBaseSarefTaskTypeSarefTaskMultipleSarefTask) String() (ret string) {
	ret += "\tsarefAccomplishes: ["
	for i := range res.sarefAccomplishes {
		ret += res.sarefAccomplishes[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefFunctionMultipleSarefFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasFunction {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasFunction", node, res.sarefHasFunction[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefFunctionMultipleSarefFunction) String() (ret string) {
	ret += "\tsarefHasFunction: ["
	for i := range res.sarefHasFunction {
		ret += res.sarefHasFunction[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasDescriptionBasestringTypestringSinglestring) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddStringPropertyToGraph(g, "https://w3id.org/saref#hasDescription", node, res.sarefHasDescription)
	return
}

// String prints the object into a string
func (res *propSarefHasDescriptionBasestringTypestringSinglestring) String() (ret string) {
	ret += "\tsarefHasDescription: ["
	ret += res.sarefHasDescription + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasManufacturerBasestringTypestringSinglestring) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddStringPropertyToGraph(g, "https://w3id.org/saref#hasManufacturer", node, res.sarefHasManufacturer)
	return
}

// String prints the object into a string
func (res *propSarefHasManufacturerBasestringTypestringSinglestring) String() (ret string) {
	ret += "\tsarefHasManufacturer: ["
	ret += res.sarefHasManufacturer + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasModelBasestringTypestringSinglestring) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddStringPropertyToGraph(g, "https://w3id.org/saref#hasModel", node, res.sarefHasModel)
	return
}

// String prints the object into a string
func (res *propSarefHasModelBasestringTypestringSinglestring) String() (ret string) {
	ret += "\tsarefHasModel: ["
	ret += res.sarefHasModel + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefMeteringFunctionMultipleSarefMeteringFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasFunction {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasFunction", node, res.sarefHasFunction[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefMeteringFunctionMultipleSarefMeteringFunction) String() (ret string) {
	ret += "\tsarefHasFunction: ["
	for i := range res.sarefHasFunction {
		ret += res.sarefHasFunction[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefActsUponBaseSarefStateTypeSarefMultiLevelStateMultipleSarefMultiLevelState) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefActsUpon {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#actsUpon", node, res.sarefActsUpon[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefActsUponBaseSarefStateTypeSarefMultiLevelStateMultipleSarefMultiLevelState) String() (ret string) {
	ret += "\tsarefActsUpon: ["
	for i := range res.sarefActsUpon {
		ret += res.sarefActsUpon[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefIsCommandOfBaseSarefFunctionTypeSarefFunctionMultipleSarefFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefIsCommandOf {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#isCommandOf", node, res.sarefIsCommandOf[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefIsCommandOfBaseSarefFunctionTypeSarefFunctionMultipleSarefFunction) String() (ret string) {
	ret += "\tsarefIsCommandOf: ["
	for i := range res.sarefIsCommandOf {
		ret += res.sarefIsCommandOf[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeAfterBaseTimeTemporalEntityTypeTimeTemporalEntitySingleTimeTemporalEntity) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#after", node, res.timeAfter)
	return
}

// String prints the object into a string
func (res *propTimeAfterBaseTimeTemporalEntityTypeTimeTemporalEntitySingleTimeTemporalEntity) String() (ret string) {
	ret += "\ttimeAfter: ["
	if res.timeAfter != nil {
		ret += res.timeAfter.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeHasBeginningBaseTimeInstantTypeTimeInstantSingleTimeInstant) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#hasBeginning", node, res.timeHasBeginning)
	return
}

// String prints the object into a string
func (res *propTimeHasBeginningBaseTimeInstantTypeTimeInstantSingleTimeInstant) String() (ret string) {
	ret += "\ttimeHasBeginning: ["
	if res.timeHasBeginning != nil {
		ret += res.timeHasBeginning.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeBeforeBaseTimeTemporalEntityTypeTimeTemporalEntitySingleTimeTemporalEntity) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#before", node, res.timeBefore)
	return
}

// String prints the object into a string
func (res *propTimeBeforeBaseTimeTemporalEntityTypeTimeTemporalEntitySingleTimeTemporalEntity) String() (ret string) {
	ret += "\ttimeBefore: ["
	if res.timeBefore != nil {
		ret += res.timeBefore.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeHasTemporalDurationBaseTimeTemporalDurationTypeTimeTemporalDurationSingleTimeTemporalDuration) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#hasTemporalDuration", node, res.timeHasTemporalDuration)
	return
}

// String prints the object into a string
func (res *propTimeHasTemporalDurationBaseTimeTemporalDurationTypeTimeTemporalDurationSingleTimeTemporalDuration) String() (ret string) {
	ret += "\ttimeHasTemporalDuration: ["
	if res.timeHasTemporalDuration != nil {
		ret += res.timeHasTemporalDuration.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeHasXSDDurationBaseGoDurationTypeGoDurationSingleGoDuration) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddDurationPropertyToGraph(g, "http://www.w3.org/2006/time#hasXSDDuration", node, res.timeHasXSDDuration)
	return
}

// String prints the object into a string
func (res *propTimeHasXSDDurationBaseGoDurationTypeGoDurationSingleGoDuration) String() (ret string) {
	ret += "\ttimeHasXSDDuration: ["
	ret += res.timeHasXSDDuration.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeHasEndBaseTimeInstantTypeTimeInstantSingleTimeInstant) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#hasEnd", node, res.timeHasEnd)
	return
}

// String prints the object into a string
func (res *propTimeHasEndBaseTimeInstantTypeTimeInstantSingleTimeInstant) String() (ret string) {
	ret += "\ttimeHasEnd: ["
	if res.timeHasEnd != nil {
		ret += res.timeHasEnd.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeInsideBaseTimeInstantTypeTimeInstantSingleTimeInstant) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#inside", node, res.timeInside)
	return
}

// String prints the object into a string
func (res *propTimeInsideBaseTimeInstantTypeTimeInstantSingleTimeInstant) String() (ret string) {
	ret += "\ttimeInside: ["
	if res.timeInside != nil {
		ret += res.timeInside.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefIsMeasuredInBaseSarefUnitOfMeasureTypeSarefUnitOfMeasureMultipleSarefUnitOfMeasure) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefIsMeasuredIn {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#isMeasuredIn", node, res.sarefIsMeasuredIn[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefIsMeasuredInBaseSarefUnitOfMeasureTypeSarefUnitOfMeasureMultipleSarefUnitOfMeasure) String() (ret string) {
	ret += "\tsarefIsMeasuredIn: ["
	for i := range res.sarefIsMeasuredIn {
		ret += res.sarefIsMeasuredIn[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalEqualsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalEquals", node, res.timeIntervalEquals)
	return
}

// String prints the object into a string
func (res *propTimeIntervalEqualsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalEquals: ["
	if res.timeIntervalEquals != nil {
		ret += res.timeIntervalEquals.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalStartsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalStarts", node, res.timeIntervalStarts)
	return
}

// String prints the object into a string
func (res *propTimeIntervalStartsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalStarts: ["
	if res.timeIntervalStarts != nil {
		ret += res.timeIntervalStarts.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalContainsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalContains", node, res.timeIntervalContains)
	return
}

// String prints the object into a string
func (res *propTimeIntervalContainsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalContains: ["
	if res.timeIntervalContains != nil {
		ret += res.timeIntervalContains.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalDisjointBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalDisjoint", node, res.timeIntervalDisjoint)
	return
}

// String prints the object into a string
func (res *propTimeIntervalDisjointBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalDisjoint: ["
	if res.timeIntervalDisjoint != nil {
		ret += res.timeIntervalDisjoint.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalMeetsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalMeets", node, res.timeIntervalMeets)
	return
}

// String prints the object into a string
func (res *propTimeIntervalMeetsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalMeets: ["
	if res.timeIntervalMeets != nil {
		ret += res.timeIntervalMeets.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalAfterBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalAfter", node, res.timeIntervalAfter)
	return
}

// String prints the object into a string
func (res *propTimeIntervalAfterBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalAfter: ["
	if res.timeIntervalAfter != nil {
		ret += res.timeIntervalAfter.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalOverlapsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalOverlaps", node, res.timeIntervalOverlaps)
	return
}

// String prints the object into a string
func (res *propTimeIntervalOverlapsBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalOverlaps: ["
	if res.timeIntervalOverlaps != nil {
		ret += res.timeIntervalOverlaps.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalFinishedByBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalFinishedBy", node, res.timeIntervalFinishedBy)
	return
}

// String prints the object into a string
func (res *propTimeIntervalFinishedByBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalFinishedBy: ["
	if res.timeIntervalFinishedBy != nil {
		ret += res.timeIntervalFinishedBy.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalOverlappedByBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalOverlappedBy", node, res.timeIntervalOverlappedBy)
	return
}

// String prints the object into a string
func (res *propTimeIntervalOverlappedByBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalOverlappedBy: ["
	if res.timeIntervalOverlappedBy != nil {
		ret += res.timeIntervalOverlappedBy.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalBeforeBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalBefore", node, res.timeIntervalBefore)
	return
}

// String prints the object into a string
func (res *propTimeIntervalBeforeBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalBefore: ["
	if res.timeIntervalBefore != nil {
		ret += res.timeIntervalBefore.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalDuringBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalDuring", node, res.timeIntervalDuring)
	return
}

// String prints the object into a string
func (res *propTimeIntervalDuringBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalDuring: ["
	if res.timeIntervalDuring != nil {
		ret += res.timeIntervalDuring.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalStartedByBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalStartedBy", node, res.timeIntervalStartedBy)
	return
}

// String prints the object into a string
func (res *propTimeIntervalStartedByBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalStartedBy: ["
	if res.timeIntervalStartedBy != nil {
		ret += res.timeIntervalStartedBy.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalFinishesBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalFinishes", node, res.timeIntervalFinishes)
	return
}

// String prints the object into a string
func (res *propTimeIntervalFinishesBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalFinishes: ["
	if res.timeIntervalFinishes != nil {
		ret += res.timeIntervalFinishes.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalInBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalIn", node, res.timeIntervalIn)
	return
}

// String prints the object into a string
func (res *propTimeIntervalInBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalIn: ["
	if res.timeIntervalIn != nil {
		ret += res.timeIntervalIn.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeIntervalMetByBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#intervalMetBy", node, res.timeIntervalMetBy)
	return
}

// String prints the object into a string
func (res *propTimeIntervalMetByBaseTimeProperIntervalTypeTimeProperIntervalSingleTimeProperInterval) String() (ret string) {
	ret += "\ttimeIntervalMetBy: ["
	if res.timeIntervalMetBy != nil {
		ret += res.timeIntervalMetBy.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeHasDateTimeDescriptionBaseTimeGeneralDateTimeDescriptionTypeTimeGeneralDateTimeDescriptionSingleTimeGeneralDateTimeDescription) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#hasDateTimeDescription", node, res.timeHasDateTimeDescription)
	return
}

// String prints the object into a string
func (res *propTimeHasDateTimeDescriptionBaseTimeGeneralDateTimeDescriptionTypeTimeGeneralDateTimeDescriptionSingleTimeGeneralDateTimeDescription) String() (ret string) {
	ret += "\ttimeHasDateTimeDescription: ["
	if res.timeHasDateTimeDescription != nil {
		ret += res.timeHasDateTimeDescription.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeXsdDateTimeBaseGoTimeTypeGoTimeSingleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddDateTimePropertyToGraph(g, "http://www.w3.org/2006/time#xsdDateTime", node, res.timeXsdDateTime)
	return
}

// String prints the object into a string
func (res *propTimeXsdDateTimeBaseGoTimeTypeGoTimeSingleGoTime) String() (ret string) {
	ret += "\ttimeXsdDateTime: ["
	ret += res.timeXsdDateTime.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefActsUponBaseSarefStateTypeSarefStateMultipleSarefState) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefActsUpon {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#actsUpon", node, res.sarefActsUpon[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefActsUponBaseSarefStateTypeSarefStateMultipleSarefState) String() (ret string) {
	ret += "\tsarefActsUpon: ["
	for i := range res.sarefActsUpon {
		ret += res.sarefActsUpon[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefConsistsOfBaseSarefDeviceTypeSarefMeterMultipleSarefMeter) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefConsistsOf {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#consistsOf", node, res.sarefConsistsOf[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefConsistsOfBaseSarefDeviceTypeSarefMeterMultipleSarefMeter) String() (ret string) {
	ret += "\tsarefConsistsOf: ["
	for i := range res.sarefConsistsOf {
		ret += res.sarefConsistsOf[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefEnergyMultipleSarefEnergy) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefMeasuresProperty {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#measuresProperty", node, res.sarefMeasuresProperty[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefEnergyMultipleSarefEnergy) String() (ret string) {
	ret += "\tsarefMeasuresProperty: ["
	for i := range res.sarefMeasuresProperty {
		ret += res.sarefMeasuresProperty[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefIsControlledByDeviceBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefIsControlledByDevice {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#isControlledByDevice", node, res.sarefIsControlledByDevice[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefIsControlledByDeviceBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) String() (ret string) {
	ret += "\tsarefIsControlledByDevice: ["
	for i := range res.sarefIsControlledByDevice {
		ret += res.sarefIsControlledByDevice[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefIsMeasuredByDeviceBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefIsMeasuredByDevice {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#isMeasuredByDevice", node, res.sarefIsMeasuredByDevice[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefIsMeasuredByDeviceBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) String() (ret string) {
	ret += "\tsarefIsMeasuredByDevice: ["
	for i := range res.sarefIsMeasuredByDevice {
		ret += res.sarefIsMeasuredByDevice[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefRelatesToMeasurementBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefRelatesToMeasurement {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#relatesToMeasurement", node, res.sarefRelatesToMeasurement[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefRelatesToMeasurementBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) String() (ret string) {
	ret += "\tsarefRelatesToMeasurement: ["
	for i := range res.sarefRelatesToMeasurement {
		ret += res.sarefRelatesToMeasurement[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefConsistsOfBaseSarefDeviceTypeSarefSwitchMultipleSarefSwitch) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefConsistsOf {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#consistsOf", node, res.sarefConsistsOf[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefConsistsOfBaseSarefDeviceTypeSarefSwitchMultipleSarefSwitch) String() (ret string) {
	ret += "\tsarefConsistsOf: ["
	for i := range res.sarefConsistsOf {
		ret += res.sarefConsistsOf[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasStateBaseSarefStateTypeSarefOpenCloseStateMultipleSarefOpenCloseState) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasState {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasState", node, res.sarefHasState[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasStateBaseSarefStateTypeSarefOpenCloseStateMultipleSarefOpenCloseState) String() (ret string) {
	ret += "\tsarefHasState: ["
	for i := range res.sarefHasState {
		ret += res.sarefHasState[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefOpenCloseFunctionMultipleSarefOpenCloseFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasFunction {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasFunction", node, res.sarefHasFunction[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefOpenCloseFunctionMultipleSarefOpenCloseFunction) String() (ret string) {
	ret += "\tsarefHasFunction: ["
	for i := range res.sarefHasFunction {
		ret += res.sarefHasFunction[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeHasTRSBaseTimeTRSTypeTimeTRSSingleTimeTRS) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#hasTRS", node, res.timeHasTRS)
	return
}

// String prints the object into a string
func (res *propTimeHasTRSBaseTimeTRSTypeTimeTRSSingleTimeTRS) String() (ret string) {
	ret += "\ttimeHasTRS: ["
	if res.timeHasTRS != nil {
		ret += res.timeHasTRS.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeUnitTypeBaseTimeTemporalUnitTypeTimeTemporalUnitSingleTimeTemporalUnit) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#unitType", node, res.timeUnitType)
	return
}

// String prints the object into a string
func (res *propTimeUnitTypeBaseTimeTemporalUnitTypeTimeTemporalUnitSingleTimeTemporalUnit) String() (ret string) {
	ret += "\ttimeUnitType: ["
	if res.timeUnitType != nil {
		ret += res.timeUnitType.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeDayOfWeekBaseTimeDayOfWeekTypeTimeDayOfWeekSingleTimeDayOfWeek) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#dayOfWeek", node, res.timeDayOfWeek)
	return
}

// String prints the object into a string
func (res *propTimeDayOfWeekBaseTimeDayOfWeekTypeTimeDayOfWeekSingleTimeDayOfWeek) String() (ret string) {
	ret += "\ttimeDayOfWeek: ["
	if res.timeDayOfWeek != nil {
		ret += res.timeDayOfWeek.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeDayOfYearBaseintTypeintSingleint) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddIntPropertyToGraph(g, "http://www.w3.org/2006/time#dayOfYear", node, res.timeDayOfYear)
	return
}

// String prints the object into a string
func (res *propTimeDayOfYearBaseintTypeintSingleint) String() (ret string) {
	ret += "\ttimeDayOfYear: ["
	ret += fmt.Sprintf("%d", res.timeDayOfYear) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeHourBaseintTypeintSingleint) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddIntPropertyToGraph(g, "http://www.w3.org/2006/time#hour", node, res.timeHour)
	return
}

// String prints the object into a string
func (res *propTimeHourBaseintTypeintSingleint) String() (ret string) {
	ret += "\ttimeHour: ["
	ret += fmt.Sprintf("%d", res.timeHour) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeMinuteBaseintTypeintSingleint) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddIntPropertyToGraph(g, "http://www.w3.org/2006/time#minute", node, res.timeMinute)
	return
}

// String prints the object into a string
func (res *propTimeMinuteBaseintTypeintSingleint) String() (ret string) {
	ret += "\ttimeMinute: ["
	ret += fmt.Sprintf("%d", res.timeMinute) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeMonthOfYearBaseTimeMonthOfYearTypeTimeMonthOfYearSingleTimeMonthOfYear) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#monthOfYear", node, res.timeMonthOfYear)
	return
}

// String prints the object into a string
func (res *propTimeMonthOfYearBaseTimeMonthOfYearTypeTimeMonthOfYearSingleTimeMonthOfYear) String() (ret string) {
	ret += "\ttimeMonthOfYear: ["
	if res.timeMonthOfYear != nil {
		ret += res.timeMonthOfYear.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeSecondBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#second", node, res.timeSecond)
	return
}

// String prints the object into a string
func (res *propTimeSecondBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeSecond: ["
	ret += fmt.Sprintf("%f", res.timeSecond) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeZoneBaseTimeZoneTypeTimeZoneSingleTimeZone) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#timeZone", node, res.timeZone)
	return
}

// String prints the object into a string
func (res *propTimeZoneBaseTimeZoneTypeTimeZoneSingleTimeZone) String() (ret string) {
	ret += "\ttimeZone: ["
	if res.timeZone != nil {
		ret += res.timeZone.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeWeekBaseintTypeintSingleint) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddIntPropertyToGraph(g, "http://www.w3.org/2006/time#week", node, res.timeWeek)
	return
}

// String prints the object into a string
func (res *propTimeWeekBaseintTypeintSingleint) String() (ret string) {
	ret += "\ttimeWeek: ["
	ret += fmt.Sprintf("%d", res.timeWeek) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefIsOfferedByBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefIsOfferedBy {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#isOfferedBy", node, res.sarefIsOfferedBy[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefIsOfferedByBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) String() (ret string) {
	ret += "\tsarefIsOfferedBy: ["
	for i := range res.sarefIsOfferedBy {
		ret += res.sarefIsOfferedBy[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefRepresentsBaseSarefFunctionTypeSarefFunctionMultipleSarefFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefRepresents {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#represents", node, res.sarefRepresents[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefRepresentsBaseSarefFunctionTypeSarefFunctionMultipleSarefFunction) String() (ret string) {
	ret += "\tsarefRepresents: ["
	for i := range res.sarefRepresents {
		ret += res.sarefRepresents[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefActsUponBaseSarefStateTypeSarefOnOffStateMultipleSarefOnOffState) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefActsUpon {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#actsUpon", node, res.sarefActsUpon[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefActsUponBaseSarefStateTypeSarefOnOffStateMultipleSarefOnOffState) String() (ret string) {
	ret += "\tsarefActsUpon: ["
	for i := range res.sarefActsUpon {
		ret += res.sarefActsUpon[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasCommandBaseSarefCommandTypeSarefNotifyCommandMultipleSarefNotifyCommand) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasCommand {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasCommand", node, res.sarefHasCommand[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasCommandBaseSarefCommandTypeSarefNotifyCommandMultipleSarefNotifyCommand) String() (ret string) {
	ret += "\tsarefHasCommand: ["
	for i := range res.sarefHasCommand {
		ret += res.sarefHasCommand[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasThresholdMeasurementBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasThresholdMeasurement {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasThresholdMeasurement", node, res.sarefHasThresholdMeasurement[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasThresholdMeasurementBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) String() (ret string) {
	ret += "\tsarefHasThresholdMeasurement: ["
	for i := range res.sarefHasThresholdMeasurement {
		ret += res.sarefHasThresholdMeasurement[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefActuatingFunctionMultipleSarefActuatingFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasFunction {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasFunction", node, res.sarefHasFunction[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefActuatingFunctionMultipleSarefActuatingFunction) String() (ret string) {
	ret += "\tsarefHasFunction: ["
	for i := range res.sarefHasFunction {
		ret += res.sarefHasFunction[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasCommandBaseSarefCommandTypeSarefGetSensingDataCommandMultipleSarefGetSensingDataCommand) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasCommand {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasCommand", node, res.sarefHasCommand[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasCommandBaseSarefCommandTypeSarefGetSensingDataCommandMultipleSarefGetSensingDataCommand) String() (ret string) {
	ret += "\tsarefHasCommand: ["
	for i := range res.sarefHasCommand {
		ret += res.sarefHasCommand[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasSensingRangeBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasSensingRange {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasSensingRange", node, res.sarefHasSensingRange[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasSensingRangeBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) String() (ret string) {
	ret += "\tsarefHasSensingRange: ["
	for i := range res.sarefHasSensingRange {
		ret += res.sarefHasSensingRange[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasSensorTypeBaseSarefPropertyTypeSarefPropertyMultipleSarefProperty) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasSensorType {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasSensorType", node, res.sarefHasSensorType[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasSensorTypeBaseSarefPropertyTypeSarefPropertyMultipleSarefProperty) String() (ret string) {
	ret += "\tsarefHasSensorType: ["
	for i := range res.sarefHasSensorType {
		ret += res.sarefHasSensorType[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeDayBaseGoTimeTypeGoTimeSingleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddGDayPropertyToGraph(g, "http://www.w3.org/2006/time#day", node, res.timeDay)
	return
}

// String prints the object into a string
func (res *propTimeDayBaseGoTimeTypeGoTimeSingleGoTime) String() (ret string) {
	ret += "\ttimeDay: ["
	ret += res.timeDay.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeMonthBaseGoTimeTypeGoTimeSingleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddGMonthPropertyToGraph(g, "http://www.w3.org/2006/time#month", node, res.timeMonth)
	return
}

// String prints the object into a string
func (res *propTimeMonthBaseGoTimeTypeGoTimeSingleGoTime) String() (ret string) {
	ret += "\ttimeMonth: ["
	ret += res.timeMonth.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeYearBaseGoTimeTypeGoTimeSingleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddGYearPropertyToGraph(g, "http://www.w3.org/2006/time#year", node, res.timeYear)
	return
}

// String prints the object into a string
func (res *propTimeYearBaseGoTimeTypeGoTimeSingleGoTime) String() (ret string) {
	ret += "\ttimeYear: ["
	ret += res.timeYear.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefSensingFunctionMultipleSarefSensingFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasFunction {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasFunction", node, res.sarefHasFunction[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefSensingFunctionMultipleSarefSensingFunction) String() (ret string) {
	ret += "\tsarefHasFunction: ["
	for i := range res.sarefHasFunction {
		ret += res.sarefHasFunction[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefIsAccomplishedByBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefIsAccomplishedBy {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#isAccomplishedBy", node, res.sarefIsAccomplishedBy[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefIsAccomplishedByBaseSarefDeviceTypeSarefDeviceMultipleSarefDevice) String() (ret string) {
	ret += "\tsarefIsAccomplishedBy: ["
	for i := range res.sarefIsAccomplishedBy {
		ret += res.sarefIsAccomplishedBy[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefActsUponBaseSarefStateTypeSarefStartStopStateMultipleSarefStartStopState) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefActsUpon {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#actsUpon", node, res.sarefActsUpon[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefActsUponBaseSarefStateTypeSarefStartStopStateMultipleSarefStartStopState) String() (ret string) {
	ret += "\tsarefActsUpon: ["
	for i := range res.sarefActsUpon {
		ret += res.sarefActsUpon[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefConsistsOfBaseSarefDeviceTypeSarefSensorMultipleSarefSensor) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefConsistsOf {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#consistsOf", node, res.sarefConsistsOf[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefConsistsOfBaseSarefDeviceTypeSarefSensorMultipleSarefSensor) String() (ret string) {
	ret += "\tsarefConsistsOf: ["
	for i := range res.sarefConsistsOf {
		ret += res.sarefConsistsOf[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefTemperatureMultipleSarefTemperature) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefMeasuresProperty {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#measuresProperty", node, res.sarefMeasuresProperty[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefTemperatureMultipleSarefTemperature) String() (ret string) {
	ret += "\tsarefMeasuresProperty: ["
	for i := range res.sarefMeasuresProperty {
		ret += res.sarefMeasuresProperty[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeNumericPositionBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#numericPosition", node, res.timeNumericPosition)
	return
}

// String prints the object into a string
func (res *propTimeNumericPositionBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeNumericPosition: ["
	ret += fmt.Sprintf("%f", res.timeNumericPosition) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeNominalPositionBasestringTypestringSinglestring) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddStringPropertyToGraph(g, "http://www.w3.org/2006/time#nominalPosition", node, res.timeNominalPosition)
	return
}

// String prints the object into a string
func (res *propTimeNominalPositionBasestringTypestringSinglestring) String() (ret string) {
	ret += "\ttimeNominalPosition: ["
	ret += res.timeNominalPosition + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefSetAbsoluteLevelCommandSarefSetRelativeLevelCommandSarefStepDownCommandSarefStepUpCommand) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasCommand {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasCommand", node, res.sarefHasCommand[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefSetAbsoluteLevelCommandSarefSetRelativeLevelCommandSarefStepDownCommandSarefStepUpCommand) String() (ret string) {
	ret += "\tsarefHasCommand: ["
	for i := range res.sarefHasCommand {
		ret += res.sarefHasCommand[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefCloseCommandSarefOpenCommand) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasCommand {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasCommand", node, res.sarefHasCommand[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefCloseCommandSarefOpenCommand) String() (ret string) {
	ret += "\tsarefHasCommand: ["
	for i := range res.sarefHasCommand {
		ret += res.sarefHasCommand[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefConsistsOfBaseSarefProfileTypeSarefProfileMultipleSarefProfile) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefConsistsOf {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#consistsOf", node, res.sarefConsistsOf[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefConsistsOfBaseSarefProfileTypeSarefProfileMultipleSarefProfile) String() (ret string) {
	ret += "\tsarefConsistsOf: ["
	for i := range res.sarefConsistsOf {
		ret += res.sarefConsistsOf[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasPriceBaseSarefPriceTypeSarefPriceMultipleSarefPrice) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasPrice {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasPrice", node, res.sarefHasPrice[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasPriceBaseSarefPriceTypeSarefPriceMultipleSarefPrice) String() (ret string) {
	ret += "\tsarefHasPrice: ["
	for i := range res.sarefHasPrice {
		ret += res.sarefHasPrice[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasTimeBaseSarefTimeTypeSarefTimeMultipleSarefTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasTime {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasTime", node, res.sarefHasTime[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasTimeBaseSarefTimeTypeSarefTimeMultipleSarefTime) String() (ret string) {
	ret += "\tsarefHasTime: ["
	for i := range res.sarefHasTime {
		ret += res.sarefHasTime[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefIsAboutBaseThingTypeThingMultipleSarefCommoditySarefProperty) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefIsAbout {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#isAbout", node, res.sarefIsAbout[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefIsAboutBaseThingTypeThingMultipleSarefCommoditySarefProperty) String() (ret string) {
	ret += "\tsarefIsAbout: ["
	for i := range res.sarefIsAbout {
		ret += res.sarefIsAbout[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefCommand) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasCommand {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasCommand", node, res.sarefHasCommand[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefCommand) String() (ret string) {
	ret += "\tsarefHasCommand: ["
	for i := range res.sarefHasCommand {
		ret += res.sarefHasCommand[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeNumericDurationBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#numericDuration", node, res.timeNumericDuration)
	return
}

// String prints the object into a string
func (res *propTimeNumericDurationBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeNumericDuration: ["
	ret += fmt.Sprintf("%f", res.timeNumericDuration) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefActsUponBaseSarefStateTypeSarefOpenCloseStateMultipleSarefOpenCloseState) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefActsUpon {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#actsUpon", node, res.sarefActsUpon[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefActsUponBaseSarefStateTypeSarefOpenCloseStateMultipleSarefOpenCloseState) String() (ret string) {
	ret += "\tsarefActsUpon: ["
	for i := range res.sarefActsUpon {
		ret += res.sarefActsUpon[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefSmokeMultipleSarefSmoke) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefMeasuresProperty {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#measuresProperty", node, res.sarefMeasuresProperty[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefSmokeMultipleSarefSmoke) String() (ret string) {
	ret += "\tsarefMeasuresProperty: ["
	for i := range res.sarefMeasuresProperty {
		ret += res.sarefMeasuresProperty[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefFunctionMultipleSarefEventFunctionSarefSensingFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasFunction {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasFunction", node, res.sarefHasFunction[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefFunctionMultipleSarefEventFunctionSarefSensingFunction) String() (ret string) {
	ret += "\tsarefHasFunction: ["
	for i := range res.sarefHasFunction {
		ret += res.sarefHasFunction[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefConsistsOfBaseTimeTemporalEntityTypeTimeTemporalEntityMultipleTimeTemporalEntity) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefConsistsOf {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#consistsOf", node, res.sarefConsistsOf[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefConsistsOfBaseTimeTemporalEntityTypeTimeTemporalEntityMultipleTimeTemporalEntity) String() (ret string) {
	ret += "\tsarefConsistsOf: ["
	for i := range res.sarefConsistsOf {
		ret += res.sarefConsistsOf[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeDaysBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#days", node, res.timeDays)
	return
}

// String prints the object into a string
func (res *propTimeDaysBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeDays: ["
	ret += fmt.Sprintf("%f", res.timeDays) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeHoursBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#hours", node, res.timeHours)
	return
}

// String prints the object into a string
func (res *propTimeHoursBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeHours: ["
	ret += fmt.Sprintf("%f", res.timeHours) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeMinutesBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#minutes", node, res.timeMinutes)
	return
}

// String prints the object into a string
func (res *propTimeMinutesBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeMinutes: ["
	ret += fmt.Sprintf("%f", res.timeMinutes) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeMonthsBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#months", node, res.timeMonths)
	return
}

// String prints the object into a string
func (res *propTimeMonthsBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeMonths: ["
	ret += fmt.Sprintf("%f", res.timeMonths) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeSecondsBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#seconds", node, res.timeSeconds)
	return
}

// String prints the object into a string
func (res *propTimeSecondsBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeSeconds: ["
	ret += fmt.Sprintf("%f", res.timeSeconds) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeWeeksBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#weeks", node, res.timeWeeks)
	return
}

// String prints the object into a string
func (res *propTimeWeeksBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeWeeks: ["
	ret += fmt.Sprintf("%f", res.timeWeeks) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeYearsBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "http://www.w3.org/2006/time#years", node, res.timeYears)
	return
}

// String prints the object into a string
func (res *propTimeYearsBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\ttimeYears: ["
	ret += fmt.Sprintf("%f", res.timeYears) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefIsOfferedByBaseSarefDeviceTypeSarefLightSwitchMultipleSarefLightSwitch) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefIsOfferedBy {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#isOfferedBy", node, res.sarefIsOfferedBy[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefIsOfferedByBaseSarefDeviceTypeSarefLightSwitchMultipleSarefLightSwitch) String() (ret string) {
	ret += "\tsarefIsOfferedBy: ["
	for i := range res.sarefIsOfferedBy {
		ret += res.sarefIsOfferedBy[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefRepresentsBaseSarefFunctionTypeSarefOnOffFunctionMultipleSarefOnOffFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefRepresents {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#represents", node, res.sarefRepresents[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefRepresentsBaseSarefFunctionTypeSarefOnOffFunctionMultipleSarefOnOffFunction) String() (ret string) {
	ret += "\tsarefRepresents: ["
	for i := range res.sarefRepresents {
		ret += res.sarefRepresents[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefStartCommandSarefStopCommand) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasCommand {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasCommand", node, res.sarefHasCommand[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefStartCommandSarefStopCommand) String() (ret string) {
	ret += "\tsarefHasCommand: ["
	for i := range res.sarefHasCommand {
		ret += res.sarefHasCommand[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasCommandBaseSarefCommandTypeSarefGetCommandMultipleSarefGetCurrentMeterValueCommandSarefGetMeterDataCommandSarefGetMeterHistoryCommand) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasCommand {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasCommand", node, res.sarefHasCommand[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasCommandBaseSarefCommandTypeSarefGetCommandMultipleSarefGetCurrentMeterValueCommandSarefGetMeterDataCommandSarefGetMeterHistoryCommand) String() (ret string) {
	ret += "\tsarefHasCommand: ["
	for i := range res.sarefHasCommand {
		ret += res.sarefHasCommand[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasMeterReadingBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasMeterReading {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasMeterReading", node, res.sarefHasMeterReading[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasMeterReadingBaseSarefMeasurementTypeSarefMeasurementMultipleSarefMeasurement) String() (ret string) {
	ret += "\tsarefHasMeterReading: ["
	for i := range res.sarefHasMeterReading {
		ret += res.sarefHasMeterReading[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasMeterReadingTypeBaseThingTypeThingMultipleSarefCommoditySarefProperty) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasMeterReadingType {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasMeterReadingType", node, res.sarefHasMeterReadingType[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasMeterReadingTypeBaseThingTypeThingMultipleSarefCommoditySarefProperty) String() (ret string) {
	ret += "\tsarefHasMeterReadingType: ["
	for i := range res.sarefHasMeterReadingType {
		ret += res.sarefHasMeterReadingType[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefRelatesToPropertyBaseSarefPropertyTypeSarefPropertyMultipleSarefProperty) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefRelatesToProperty {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#relatesToProperty", node, res.sarefRelatesToProperty[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefRelatesToPropertyBaseSarefPropertyTypeSarefPropertyMultipleSarefProperty) String() (ret string) {
	ret += "\tsarefRelatesToProperty: ["
	for i := range res.sarefRelatesToProperty {
		ret += res.sarefRelatesToProperty[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasTimestampBaseGoTimeTypeGoTimeMultipleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasTimestamp {
		owl.AddDateTimePropertyToGraph(g, "https://w3id.org/saref#hasTimestamp", node, res.sarefHasTimestamp[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasTimestampBaseGoTimeTypeGoTimeMultipleGoTime) String() (ret string) {
	ret += "\tsarefHasTimestamp: ["
	for i := range res.sarefHasTimestamp {
		ret += res.sarefHasTimestamp[i].String() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasValueBasefloat64Typefloat64Singlefloat64) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddFloatPropertyToGraph(g, "https://w3id.org/saref#hasValue", node, res.sarefHasValue)
	return
}

// String prints the object into a string
func (res *propSarefHasValueBasefloat64Typefloat64Singlefloat64) String() (ret string) {
	ret += "\tsarefHasValue: ["
	ret += fmt.Sprintf("%f", res.sarefHasValue) + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefOffCommandSarefOnCommandSarefToggleCommand) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasCommand {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasCommand", node, res.sarefHasCommand[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasCommandBaseSarefCommandTypeSarefCommandMultipleSarefOffCommandSarefOnCommandSarefToggleCommand) String() (ret string) {
	ret += "\tsarefHasCommand: ["
	for i := range res.sarefHasCommand {
		ret += res.sarefHasCommand[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeInXSDDateTimeStampBaseGoTimeTypeGoTimeSingleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddDateTimeStampPropertyToGraph(g, "http://www.w3.org/2006/time#inXSDDateTimeStamp", node, res.timeInXSDDateTimeStamp)
	return
}

// String prints the object into a string
func (res *propTimeInXSDDateTimeStampBaseGoTimeTypeGoTimeSingleGoTime) String() (ret string) {
	ret += "\ttimeInXSDDateTimeStamp: ["
	ret += res.timeInXSDDateTimeStamp.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeInXSDgYearMonthBaseGoTimeTypeGoTimeSingleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddGYearMonthPropertyToGraph(g, "http://www.w3.org/2006/time#inXSDgYearMonth", node, res.timeInXSDgYearMonth)
	return
}

// String prints the object into a string
func (res *propTimeInXSDgYearMonthBaseGoTimeTypeGoTimeSingleGoTime) String() (ret string) {
	ret += "\ttimeInXSDgYearMonth: ["
	ret += res.timeInXSDgYearMonth.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeInTemporalPositionBaseTimeTemporalPositionTypeTimeTemporalPositionSingleTimeTemporalPosition) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#inTemporalPosition", node, res.timeInTemporalPosition)
	return
}

// String prints the object into a string
func (res *propTimeInTemporalPositionBaseTimeTemporalPositionTypeTimeTemporalPositionSingleTimeTemporalPosition) String() (ret string) {
	ret += "\ttimeInTemporalPosition: ["
	if res.timeInTemporalPosition != nil {
		ret += res.timeInTemporalPosition.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeInXSDDateTimeBaseGoTimeTypeGoTimeSingleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddDateTimePropertyToGraph(g, "http://www.w3.org/2006/time#inXSDDateTime", node, res.timeInXSDDateTime)
	return
}

// String prints the object into a string
func (res *propTimeInXSDDateTimeBaseGoTimeTypeGoTimeSingleGoTime) String() (ret string) {
	ret += "\ttimeInXSDDateTime: ["
	ret += res.timeInXSDDateTime.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeInXSDDateBaseGoTimeTypeGoTimeSingleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddDatePropertyToGraph(g, "http://www.w3.org/2006/time#inXSDDate", node, res.timeInXSDDate)
	return
}

// String prints the object into a string
func (res *propTimeInXSDDateBaseGoTimeTypeGoTimeSingleGoTime) String() (ret string) {
	ret += "\ttimeInXSDDate: ["
	ret += res.timeInXSDDate.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeInDateTimeBaseTimeGeneralDateTimeDescriptionTypeTimeGeneralDateTimeDescriptionSingleTimeGeneralDateTimeDescription) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#inDateTime", node, res.timeInDateTime)
	return
}

// String prints the object into a string
func (res *propTimeInDateTimeBaseTimeGeneralDateTimeDescriptionTypeTimeGeneralDateTimeDescriptionSingleTimeGeneralDateTimeDescription) String() (ret string) {
	ret += "\ttimeInDateTime: ["
	if res.timeInDateTime != nil {
		ret += res.timeInDateTime.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeInXSDgYearBaseGoTimeTypeGoTimeSingleGoTime) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddGYearPropertyToGraph(g, "http://www.w3.org/2006/time#inXSDgYear", node, res.timeInXSDgYear)
	return
}

// String prints the object into a string
func (res *propTimeInXSDgYearBaseGoTimeTypeGoTimeSingleGoTime) String() (ret string) {
	ret += "\ttimeInXSDgYear: ["
	ret += res.timeInXSDgYear.String() + ", "
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propTimeInTimePositionBaseTimePositionTypeTimePositionSingleTimePosition) toGraph(node *rdf.Node, g *rdf.Graph) {
	owl.AddClassPropertyToGraph(g, "http://www.w3.org/2006/time#inTimePosition", node, res.timeInTimePosition)
	return
}

// String prints the object into a string
func (res *propTimeInTimePositionBaseTimePositionTypeTimePositionSingleTimePosition) String() (ret string) {
	ret += "\ttimeInTimePosition: ["
	if res.timeInTimePosition != nil {
		ret += res.timeInTimePosition.IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasStateBaseSarefStateTypeSarefStartStopStateMultipleSarefStartStopState) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasState {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasState", node, res.sarefHasState[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasStateBaseSarefStateTypeSarefStartStopStateMultipleSarefStartStopState) String() (ret string) {
	ret += "\tsarefHasState: ["
	for i := range res.sarefHasState {
		ret += res.sarefHasState[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefStartStopFunctionMultipleSarefStartStopFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasFunction {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasFunction", node, res.sarefHasFunction[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefStartStopFunctionMultipleSarefStartStopFunction) String() (ret string) {
	ret += "\tsarefHasFunction: ["
	for i := range res.sarefHasFunction {
		ret += res.sarefHasFunction[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasStateBaseSarefStateTypeSarefOnOffStateMultipleSarefOnOffState) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasState {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasState", node, res.sarefHasState[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasStateBaseSarefStateTypeSarefOnOffStateMultipleSarefOnOffState) String() (ret string) {
	ret += "\tsarefHasState: ["
	for i := range res.sarefHasState {
		ret += res.sarefHasState[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefLightMultipleSarefLight) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefMeasuresProperty {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#measuresProperty", node, res.sarefMeasuresProperty[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefMeasuresPropertyBaseSarefPropertyTypeSarefLightMultipleSarefLight) String() (ret string) {
	ret += "\tsarefMeasuresProperty: ["
	for i := range res.sarefMeasuresProperty {
		ret += res.sarefMeasuresProperty[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefOffersBaseSarefServiceTypeSarefSwitchOnServiceMultipleSarefSwitchOnService) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefOffers {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#offers", node, res.sarefOffers[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefOffersBaseSarefServiceTypeSarefSwitchOnServiceMultipleSarefSwitchOnService) String() (ret string) {
	ret += "\tsarefOffers: ["
	for i := range res.sarefOffers {
		ret += res.sarefOffers[i].IRI() + ", "
	}
	ret += "]\n"
	return
}

// toGraph adds all predicates corresponding to the property to an owl graph
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefOnOffFunctionMultipleSarefOnOffFunction) toGraph(node *rdf.Node, g *rdf.Graph) {
	for i := range res.sarefHasFunction {
		owl.AddClassPropertyToGraph(g, "https://w3id.org/saref#hasFunction", node, res.sarefHasFunction[i])
	}
	return
}

// String prints the object into a string
func (res *propSarefHasFunctionBaseSarefFunctionTypeSarefOnOffFunctionMultipleSarefOnOffFunction) String() (ret string) {
	ret += "\tsarefHasFunction: ["
	for i := range res.sarefHasFunction {
		ret += res.sarefHasFunction[i].IRI() + ", "
	}
	ret += "]\n"
	return
}


